#include <termios.h>
#include <stdio.h>
#include <signal.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <unistd.h>
#include <linux/input.h>
#ifndef _FSAYS_INPUT_H
#define _FSAYS_INPUT_H

#define LOCAL_ESCAPE 27
#define MY_SEC          1000000
#define MY_TSEC          100000
#define MY_FHSEC          50000
#define MY_HSEC           10000
#define MY_FMSEC           5000  
#define MY_MSEC            1000  
#define MY_USEC               1  

class FSaysInput
{
    public:
        // constructors
        FSaysInput();
    
        void foo(void);
        int getStatus();

    private:
        void startKey(int key);
        void endKey(int key);

        // member variables
        int status;
        struct input_event event; 
        struct input_event event_end;
        int fd;
        bool shiftKey;
};
#endif
