#ifndef _FSAYS_ARCADE_KEYSET_H
#define _FSAYS_ARCADE_KEYSET_H

#include <fsaysremotekey.h>

class FSaysArcadeKeySet
{
    public:
        // constructors
        FSaysArcadeKeySet();
        ~FSaysArcadeKeySet();

		FSaysRemoteKey* getRemoteKeyForPlayerOneGreenTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneGreenBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneBlueTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneBlueBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneYellowTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneYellowBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneRedTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerOneRedBottomButton();

        FSaysRemoteKey* getRemoteKeyForPlayerOneJoyStickWest();
        FSaysRemoteKey* getRemoteKeyForPlayerOneJoyStickNorth();
        FSaysRemoteKey* getRemoteKeyForPlayerOneJoyStickEast();
        FSaysRemoteKey* getRemoteKeyForPlayerOneJoyStickSouth();

        FSaysRemoteKey* getRemoteKeyForOnePlayerButton();
        FSaysRemoteKey* getRemoteKeyForTwoPlayersButton();

        FSaysRemoteKey* getRemoteKeyForPlayerTwoJoyStickWest();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoJoyStickNorth();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoJoyStickEast();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoJoyStickSouth();

        FSaysRemoteKey* getRemoteKeyForPlayerTwoRedTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoRedBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoYellowTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoYellowBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoBlueTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoBlueBottomButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoGreenTopButton();
        FSaysRemoteKey* getRemoteKeyForPlayerTwoGreenBottomButton();

		void setRemoteKeyForPlayerOneGreenTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneGreenBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneBlueTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneBlueBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneYellowTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneYellowBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneRedTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneRedBottomButton(FSaysRemoteKey* remoteKey);

        void setRemoteKeyForPlayerOneJoyStickWest(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneJoyStickNorth(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneJoyStickEast(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerOneJoyStickSouth(FSaysRemoteKey* remoteKey);

        void setRemoteKeyForOnePlayerButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForTwoPlayersButton(FSaysRemoteKey* remoteKey);

        void setRemoteKeyForPlayerTwoJoyStickWest(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoJoyStickNorth(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoJoyStickEast(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoJoyStickSouth(FSaysRemoteKey* remoteKey);

        void setRemoteKeyForPlayerTwoRedTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoRedBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoYellowTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoYellowBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoBlueTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoBlueBottomButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoGreenTopButton(FSaysRemoteKey* remoteKey);
        void setRemoteKeyForPlayerTwoGreenBottomButton(FSaysRemoteKey* remoteKey);

    private:
		FSaysRemoteKey* _remoteKeyForPlayerOneGreenTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneGreenBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneBlueTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneBlueBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneYellowTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneYellowBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneRedTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerOneRedBottomButton;

        FSaysRemoteKey* _remoteKeyForPlayerOneJoyStickWest;
        FSaysRemoteKey* _remoteKeyForPlayerOneJoyStickNorth;
        FSaysRemoteKey* _remoteKeyForPlayerOneJoyStickEast;
        FSaysRemoteKey* _remoteKeyForPlayerOneJoyStickSouth;

        FSaysRemoteKey* _remoteKeyForOnePlayerButton;
        FSaysRemoteKey* _remoteKeyForTwoPlayersButton;

        FSaysRemoteKey* _remoteKeyForPlayerTwoJoyStickWest;
        FSaysRemoteKey* _remoteKeyForPlayerTwoJoyStickNorth;
        FSaysRemoteKey* _remoteKeyForPlayerTwoJoyStickEast;
        FSaysRemoteKey* _remoteKeyForPlayerTwoJoyStickSouth;

        FSaysRemoteKey* _remoteKeyForPlayerTwoRedTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoRedBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoYellowTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoYellowBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoBlueTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoBlueBottomButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoGreenTopButton;
        FSaysRemoteKey* _remoteKeyForPlayerTwoGreenBottomButton;
};
#endif
